# $Revision: 1.32 $, $Date: 2009/08/21 07:21:33 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CDDB
Summary:	CDDB - high-level interface to databases based on the Compact Disc DataBase protocol
Summary(pl.UTF-8):	CDDB - wysokopoziomowy interfejs do baz danych opartych o protokół CDDB
Name:		perl-CDDB
Version:	1.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CDDB/CDDB-%{version}.tar.gz
# Source0-md5:	9cfad0b6be00aa7c1cb76697edafd9a5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CDDB is a high-level interface to cddb protocol servers (freedb and
CDDB). CDDB protocol (cddbp) servers provide compact disc information
for programs that need it. This allows such programs to display disc
and track titles automatically, and it provides extended information
like liner notes and lyrics.

%description -l pl.UTF-8
CDDB jest wysokopoziomowym interfejsem do baz danych opartych o
protokół CDDB (Compact Disc DataBase). Serwery protokołu CDDB (cddbp)
udostępniają programom, które tego potrzebują, informacje o dyskach
CD. Umożliwia to takim programom automatyczne wyświetlanie tytułów
dysków i ścieżek, a także dodatkowych informacji, takich jak
komentarze czy słowa piosenek.

%prep
%setup -q -n CDDB-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/CDDB.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CDDB.spec,v $
Revision 1.32  2009/08/21 07:21:33  amateja
- updated to 1.21

Revision 1.31  2008/07/27 22:27:49  arekm
- release 2

Revision 1.30  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.28  2006/06/23 07:38:55  maciek2w
- updated to 1.17

Revision 1.27  2006/02/17 14:49:58  glen
- 1.16

Revision 1.26  2004/11/01 21:20:29  adamg
- updated to 1.15

Revision 1.25  2004/09/07 15:11:23  adamg
- updated to 1.14

Revision 1.24  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.23  2004/04/25 21:10:15  ankry
- added tests

Revision 1.22  2004/04/17 16:19:50  ankry
- license/summary/description fixes

Revision 1.21  2004/02/15 19:31:56  adamg
- updated to 1.12

Revision 1.20  2003/09/15 08:16:59  adamg
- updated to 1.11

Revision 1.19  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.18  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.14  2003/03/01 18:45:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:26:55  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.10  2002/07/11 07:57:20  depesz
- new version; should work; STBR

Revision 1.9  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/10 15:39:12  depesz
adapterized

Revision 1.6  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.5  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/27 16:28:04  mis
- autoupdated to 1.07

Revision 1.3  2001/09/04 01:10:54  kloczek
- cosmetics.

Revision 1.2  2001/09/03 18:51:07  filon
- added Log macro for cvs
